Skip to content
Developer

MembershipPauseRequest

CRM4 EndpointsCRM / MembershipPauseRequest

Approve (writes the pause into the membership) or decline a membership pause

PUT/api/crm/membership_pause_request/{id}/decide

Path parameters

idrequiredstring

Query parameters

decisionrequiredstringAPPROVED or DECLINEDAllowed: APPROVEDDECLINED
commentstringOptional decision comment

Responses

200Approve or decline a membership pauseMembershipPauseRequest

Show fields (19)
  • daysinteger
  • log_book_entryinteger
  • membership_namestring
  • personinteger
  • person_namestring
  • companyinteger
  • decided_by_user_namestring
  • idinteger

    Primary key of the membership pause request. Internal ID.

  • startstring (date-time)

    First day of the pause.

  • endstring (date-time)

    Last day of the pause (the whole day is included).

  • reasonstring

    Reason for the pause.

  • statusstring

    Status of the request, for example open, approved or rejected.

  • decided_atstring (date-time)

    Time the request was decided.

  • decision_commentstring

    Comment on the decision.

  • applied_atstring (date-time)

    When the pause was written into the membership.

  • withdrawn_atstring (date-time)

    Time the request was withdrawn.

  • extended_endstring (date-time)

    The membership end the pause set (only when the settings extend the membership).

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url 'https://your-instance.iw-erp.de/api/crm/membership_pause_request/42/decide?decision=APPROVED' \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "membership_name": "Beispiel",
  "person_name": "Beispiel",
  "decided_by_user_name": "Beispiel",
  "id": 42,
  "decision_comment": "Text",
  "days": 1,
  "log_book_entry": 1,
  "person": 1,
  "company": 1,
  "start": "2026-10-15T09:30:00+02:00"
}

Approve (writes the pause into the membership) or decline a membership pause

PATCH/api/crm/membership_pause_request/{id}/decide

Path parameters

idrequiredstring

Query parameters

decisionrequiredstringAPPROVED or DECLINEDAllowed: APPROVEDDECLINED
commentstringOptional decision comment

Responses

200Approve or decline a membership pauseMembershipPauseRequest

Show fields (19)
  • daysinteger
  • log_book_entryinteger
  • membership_namestring
  • personinteger
  • person_namestring
  • companyinteger
  • decided_by_user_namestring
  • idinteger

    Primary key of the membership pause request. Internal ID.

  • startstring (date-time)

    First day of the pause.

  • endstring (date-time)

    Last day of the pause (the whole day is included).

  • reasonstring

    Reason for the pause.

  • statusstring

    Status of the request, for example open, approved or rejected.

  • decided_atstring (date-time)

    Time the request was decided.

  • decision_commentstring

    Comment on the decision.

  • applied_atstring (date-time)

    When the pause was written into the membership.

  • withdrawn_atstring (date-time)

    Time the request was withdrawn.

  • extended_endstring (date-time)

    The membership end the pause set (only when the settings extend the membership).

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url 'https://your-instance.iw-erp.de/api/crm/membership_pause_request/42/decide?decision=APPROVED' \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "membership_name": "Beispiel",
  "person_name": "Beispiel",
  "decided_by_user_name": "Beispiel",
  "id": 42,
  "decision_comment": "Text",
  "days": 1,
  "log_book_entry": 1,
  "person": 1,
  "company": 1,
  "start": "2026-10-15T09:30:00+02:00"
}

Get a single membership pause

GET/api/crm/membership_pause_request/{id}

Path parameters

idrequiredstring

Responses

200Returns a single MembershipPauseRequestMembershipPauseRequest

Show fields (19)
  • daysinteger
  • log_book_entryinteger
  • membership_namestring
  • personinteger
  • person_namestring
  • companyinteger
  • decided_by_user_namestring
  • idinteger

    Primary key of the membership pause request. Internal ID.

  • startstring (date-time)

    First day of the pause.

  • endstring (date-time)

    Last day of the pause (the whole day is included).

  • reasonstring

    Reason for the pause.

  • statusstring

    Status of the request, for example open, approved or rejected.

  • decided_atstring (date-time)

    Time the request was decided.

  • decision_commentstring

    Comment on the decision.

  • applied_atstring (date-time)

    When the pause was written into the membership.

  • withdrawn_atstring (date-time)

    Time the request was withdrawn.

  • extended_endstring (date-time)

    The membership end the pause set (only when the settings extend the membership).

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/membership_pause_request/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "membership_name": "Beispiel",
  "person_name": "Beispiel",
  "decided_by_user_name": "Beispiel",
  "id": 42,
  "decision_comment": "Text",
  "days": 1,
  "log_book_entry": 1,
  "person": 1,
  "company": 1,
  "start": "2026-10-15T09:30:00+02:00"
}

List membership pauses (filter status=REQUESTED for the open ones)

GET/api/crm/membership_pause_request

Query parameters

idinteger
statusstring
personstring
companystring
logBookEntrystring
startstringFirst day of the pause.
endstringLast day of the pause (the whole day is included).
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of MembershipPauseRequest objectsarray<MembershipPauseRequest>

Show fields (19)
  • daysinteger
  • log_book_entryinteger
  • membership_namestring
  • personinteger
  • person_namestring
  • companyinteger
  • decided_by_user_namestring
  • idinteger

    Primary key of the membership pause request. Internal ID.

  • startstring (date-time)

    First day of the pause.

  • endstring (date-time)

    Last day of the pause (the whole day is included).

  • reasonstring

    Reason for the pause.

  • statusstring

    Status of the request, for example open, approved or rejected.

  • decided_atstring (date-time)

    Time the request was decided.

  • decision_commentstring

    Comment on the decision.

  • applied_atstring (date-time)

    When the pause was written into the membership.

  • withdrawn_atstring (date-time)

    Time the request was withdrawn.

  • extended_endstring (date-time)

    The membership end the pause set (only when the settings extend the membership).

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/membership_pause_request \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "membership_name": "Beispiel",
    "person_name": "Beispiel",
    "decided_by_user_name": "Beispiel",
    "id": 42,
    "decision_comment": "Text",
    "days": 1,
    "log_book_entry": 1,
    "person": 1,
    "company": 1,
    "start": "2026-10-15T09:30:00+02:00"
  }
]